package util.network.epidemic

data class TimedPayload<T>(val value: T, val timestamp: Long) {
    companion object {
        fun <T> createContent(value: T): TimedPayload<T> {
            return TimedPayload(value, System.nanoTime())
        }
    }
}
