package util.network.epidemic.packet

import util.network.simulator.Address
import util.network.simulator.packet.FeedbackPacket

data class FeedbackEpidemicPacket<T>(
    override val senderAddress: Address,
    override val receiverAddress: Address,
    override val payload: T,
    override val type: EpidemicPacket.Type,
    override val isFeedback: Boolean
) : EpidemicPacket<T>, FeedbackPacket
