package util.network.epidemic.packet

import util.network.epidemic.TimedPayload
import util.network.simulator.Address

data class TimedEpidemicPacket<T>(
    override val senderAddress: Address,
    override val receiverAddress: Address,
    override val payload: TimedPayload<T>,
    override val type: EpidemicPacket.Type
) : EpidemicPacket<TimedPayload<T>>
